<section class="t-table-head">
  <div
    class="tblhd-sortable"
    [attr.role]="isSortable ? 'button' : 'div'"
    [style.cursor]="isSortable && 'pointer'"
    (click)="changeSort(column)"
  >
    <ng-content></ng-content>
    <div
      class="tblhd-box"
      *ngIf="isSortable"
    >
      <i [ngClass]="['tblhd-icon', sortClassname(column)]"></i>
    </div>
  </div>

  <div
    class="tblhd-filterable"
    *ngIf="isFilterable"
  >
    <ng-content select="[filter]"></ng-content>
  </div>
</section>
